Index: sys/kern/syscalls.conf
===================================================================
RCS file: /cvsroot/src/sys/kern/syscalls.conf,v
retrieving revision 1.19
diff -u -r1.19 syscalls.conf
--- sys/kern/syscalls.conf	3 Aug 2012 12:41:13 -0000	1.19
+++ sys/kern/syscalls.conf	24 Jun 2013 19:14:24 -0000
@@ -8,6 +8,7 @@
 sysalign=1
 rumpcalls="../rump/librump/rumpkern/rump_syscalls.c"
 rumpcallshdr="../rump/include/rump/rump_syscalls.h"
+systrace="systrace_args.c"
 compatopts="compat_43 compat_09 compat_10 compat_11 compat_12 compat_13 compat_14 compat_15 compat_16 compat_20 compat_30 compat_40 compat_50 compat_60"
 libcompatopts=""
 
Index: sys/modules/dtrace/Makefile
===================================================================
RCS file: /cvsroot/src/sys/modules/dtrace/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- sys/modules/dtrace/Makefile	2 Dec 2012 01:05:17 -0000	1.4
+++ sys/modules/dtrace/Makefile	24 Jun 2013 19:14:25 -0000
@@ -3,6 +3,6 @@
 
 .include <bsd.own.mk>
 
-SUBDIR=		dtrace sdt fbt profile
+SUBDIR=		dtrace sdt fbt profile systrace
 
 .include <bsd.subdir.mk>
Index: sys/rump/librump/rumpkern/rump_syscalls.c
===================================================================
RCS file: /cvsroot/src/sys/rump/librump/rumpkern/rump_syscalls.c,v
retrieving revision 1.87
diff -u -r1.87 rump_syscalls.c
--- sys/rump/librump/rumpkern/rump_syscalls.c	10 May 2013 16:36:25 -0000	1.87
+++ sys/rump/librump/rumpkern/rump_syscalls.c	24 Jun 2013 19:14:25 -0000
@@ -1,4 +1,4 @@
-/* $NetBSD: rump_syscalls.c,v 1.87 2013/05/10 16:36:25 christos Exp $ */
+/* $NetBSD$ */
 
 /*
  * System call vector and marshalling for rump.
@@ -15,7 +15,7 @@
 
 #ifdef __NetBSD__
 #include <sys/cdefs.h>
-__KERNEL_RCSID(0, "$NetBSD: rump_syscalls.c,v 1.87 2013/05/10 16:36:25 christos Exp $");
+__KERNEL_RCSID(0, "$NetBSD$");
 
 #include <sys/fstypes.h>
 #include <sys/proc.h>
